Bug 467869 - BrewError: Unable to complete build: release mismatch (build: 1.el4.sw, rpm: 1.el4)
BrewError: Unable to complete build: release mismatch (build: 1.el4.sw, rpm: ...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Release (Show other bugs)
0.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Brandon Perkins
:
Depends On:
Blocks: space03
  Show dependency treegraph
 
Reported: 2008-10-21 08:53 EDT by Michael Mráka
Modified: 2009-09-17 03:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:02:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2008-10-21 08:53:09 EDT
Description of problem:
not able to build packages in brew spacewalk-4E-0.3-candidate tag

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. checkout git repo
2. cd satellite/install/Spacewalk-Setup
3. make DIST=.el4.sw
4. brew build --nowait spacewalk-4E-0.3-candidate spacewalk-setup-0.3.4-1.el4.sw.src.rpm

Actual results:
BrewError: Unable to complete build: release mismatch (build: 1.el4.sw, rpm: 1.el4)

Expected results:
packages built, similar to build in spacewalk-4E-0.3-candidate tag

Additional info:
Comment 1 Dennis Gilmore 2008-10-22 11:07:52 EDT
koji -c ~/.koji/brew-config tag-pkg spacewalk-4E-0.3-build buildsys-macros-0.2-1.el4.sw
Created task 1534493
Watching tasks (this may be safely interrupted)...
1534493 tagBuild (noarch): free
1534493 tagBuild (noarch): free -> open (js20-bc1-9.build.redhat.com)
1534493 tagBuild (noarch): open (js20-bc1-9.build.redhat.com) -> closed
  0 free  0 open  1 done  0 failed

1534493 tagBuild (noarch) completed successfully


the correct buildsys-macros packag was missing. tagged in and will be available next repo generation
Comment 2 Miroslav Suchý 2009-09-17 03:02:18 EDT
Spacewalk has been released for some time.

Note You need to log in before you can comment on or make changes to this bug.